<?php
include('db.php');

if (isset($_GET["key"]) && isset($_GET["email"]) && isset($_GET["action"]) 
&& ($_GET["action"]=="reset") && !isset($_POST["action"])){
  $key = $_GET["key"];
  $email = $_GET["email"];
  $curDate = date("Y-m-d H:i:s");
  $query = mysqli_query($con,
  "SELECT * FROM `password_reset_temp` WHERE `key`='".$key."' and `email`='".$email."';"
  );
  $row = mysqli_num_rows($query);
  if ($row==""){
  $error .= '<h2>Link inválido</h2>
<p>O é inválido ou expirou. Talvez o link não foi copiado corretamente do e-mail, ou você já usei este link.</p>
<p><a href="https://localhost/passRec/index.php">
Clique aqui</a> para recuperar sua senha.</p>';
 }else{
  $row = mysqli_fetch_assoc($query);
  $expDate = $row['expDate'];
  if ($expDate >= $curDate){
  ?>
  <br />
  <form method="post" action="" name="update">
  <div class="form-container">
  <input type="hidden" name="action" value="update" />
  <br /><br />
  <label><strong>Nova Senha:</strong></label><br />
  <input type="password" class="text-box" name="pass1" maxlength="15" required />
  <br /><br />
  <label><strong>Repita a Nova Senha:</strong></label><br />
  <input type="password" class="text-box" name="pass2" maxlength="15" required/>
  <br /><br />
  <input type="hidden" name="email" value="<?php echo $email;?>"/>
  <input type="submit" class="btn" value="Cadastrar nova senha" />
  </div>
  </form>
  <style>
    form{
      display: flex;
      justify-content: center;
      align-items: center;
      margin-top: 50px;
    }
    
    .form-container {
        text-align: center;
    }
    
    .btn {
    background-color: #98B827;
    color: white;
    font-size: 17px;
    padding: 15px;
    border-radius: 15px;
    font-weight: bold
  }

  form label {
    font-family: sans-serif;
  }

  .text-box {
    border-radius: 8px;
    border: 1px solid #050505;
    padding: 8px;
  }
  </style>
<?php
}else{
$error .= "<h2>Link Expired</h2>
<p>O link expirou! você está tentando usar um que foi solicitado há mais de 24 horas.<br /><br /></p>";
            }
      }
if($error!=""){
  echo "<div class='error'>".$error."</div><br />";
  } 
} // isset email key validate end
 
 
if(isset($_POST["email"]) && isset($_POST["action"]) &&
 ($_POST["action"]=="update")){
$error="";
$pass1 = mysqli_real_escape_string($con,$_POST["pass1"]);
$pass2 = mysqli_real_escape_string($con,$_POST["pass2"]);
$email = $_POST["email"];
$curDate = date("Y-m-d H:i:s");
$newpw = password_hash($_POST['pass1'], PASSWORD_DEFAULT);
if ($pass1!=$pass2){
$error.= "<p>A confirmação de senha não está igual.<br /><br /></p>";
  }
  if($error!=""){
echo "<div class='error'>".$error."</div><br />";
}else{

mysqli_query($con,
"UPDATE `members` SET `password`='".$newpw."' WHERE `email`='".$email."';"
);
 
mysqli_query($con,"DELETE FROM `password_reset_temp` WHERE `email`='".$email."';");
 
echo '<div class="error"><p>Sua senha foi cadastrada com sucesso.</p>
<p><a href="https://area.editorapoisson.com.br/area-clientes/">
Clique aqui</a> para fazer o Login.</p></div><br />';
   } 
}
?>